import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class IndexCoopContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    indexCoopStaking({ address, network }: ContractOpts): import("./ethers").IndexCoopStaking;
    indexCoopToken({ address, network }: ContractOpts): import("./ethers").IndexCoopToken;
}
export type { IndexCoopStaking } from './ethers';
export type { IndexCoopToken } from './ethers';
